%define	name	tcsh-rhcn
%define	version	6.09.00
%define	release	1
%define	serial	1

Summary:	Enhanced c-shell
Name:		%{name}
Version:	%{version}
Release:	%{release}
Serial:		%{serial}
Copyright:	Distributable
Group:		System Environment/Shells
URL:		http://www.primate.wisc.edu/software/csh-tcsh-book
Vendor:		Christos Zoulas <christos@gw.com>
Source:		ftp://ftp.astron.com/pub/tcsh/tcsh-6.09.tar.gz
Patch0:		tcsh-6.07.09-utmp.patch
Patch1:		tcsh-6.09.00-termios.patch
Patch2:		tcsh-6.08.00-security.patch
Buildroot:	/var/tmp/%{name}-%{version}-root

Obsoletes:	tcsh
Provides:	csh
Prereq:		fileutils grep

Summary(de):	Erweiterte C-Shell
Summary(fr):	Shell C amlior.
Summary(tr):	Gelimi c-kabuu (c-shell)

Distribution:	Red Hat Contrib|Net
Packager:	Red Hat Contrib|Net <rhcn-bugs@redhat.com>

%description
'tcsh' is an enhanced version of csh (the C shell), with additional features
such as command history, filename completion, and fancier prompts.

%description -l	de
'tcsh' ist eine erweiterte Version von csh (der C-Shell) mit zustzlichen
Funktionen wie Befehlsgeschichte, Dateinamenvervollstndigung und
attraktiveren Prompts.

%description -l	fr
'tcsh' est une version amliore de csh (le shell C), avec des
fonctionnalits supplmentaires comme un historique des commandes,
la compltion des noms de fichiers, et des prompts sympas.

%description -l	tr
tcsh, csh'in (C kabuu) gelikin bir srmdr ve komut tarihesi, dosya ad
tamamlama ve k komut imleri gibi zellikler sunar.

%prep
%setup -q -n tcsh-%{version}
%patch0 -p1 -b .getutent
%patch1 -p1 -b .termios
%patch2 -p1 -b .security

%configure --prefix=/usr --exec-prefix=""

%build
make LIBES="-lnsl -ltermcap -lcrypt"
gzip -9 tcsh.man

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
install -d -m 755 $RPM_BUILD_ROOT/bin
install -d -m 755 $RPM_BUILD_ROOT/usr/man/man1

install -m 755 -s tcsh $RPM_BUILD_ROOT/bin/tcsh
install -m 644 tcsh.man.gz $RPM_BUILD_ROOT/usr/man/man1/tcsh.1.gz
nroff -me eight-bit.me > eight-bit.txt

(cd $RPM_BUILD_ROOT/bin; ln -sf tcsh csh; )

%post
if [ ! -f /etc/shells ]; then
	echo "/bin/tcsh" > /etc/shells
	echo "/bin/csh" > /etc/shells
else
	grep '^/bin/tcsh$' /etc/shells > /dev/null || echo "/bin/tcsh" >> /etc/shells
	grep '^/bin/csh$' /etc/shells > /dev/null || echo "/bin/csh" >> /etc/shells
fi

%postun
if [ ! -x /bin/tcsh ]; then
	grep -v '^/bin/tcsh$' /etc/shells | grep -v '^/bin/csh$'> /etc/shells.rpm
	mv /etc/shells.rpm /etc/shells
fi

%clean
rm -r $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc FAQ Fixes NewThings Ported README WishList Y2K complete.tcsh eight-bit.txt
/bin/tcsh
/bin/csh
/usr/man/man1/tcsh.1.gz

%changelog
* Tue Aug 17 1999 Ryan Weaver <ryanw@infohwy.com>
  [tcsh-rhcn-6.09.00-1]
- V6.09.00 - 19990816
- Add csh emacs mode (Dan Harkless)
- Make sure the the glob buffer matches the word buffer size (Brian Biswas)
- Fix periodic to work without tperiod set (Kenny McCormack)

- V6.08.07 - 19990813
- Fix e_dabbrev_expand (Bjorn Knutsson)
- Make \builtin work again (by calling the command not the builtin)
- Add NLS_BUGS for OS's that keep file descriptors open for NLS (Ian Dowse)
- Make NONLSREBIND work after tcsh starts up.
- Fix AIX stupid exit bug. (Dan Harkless)
- More irix fixes (Kaveh)

- V6.08.06 - 19990701
- module command completion (Dan Nicolaescu)
- Man command completion enhancement (Tom)
- Fixes for irix configuration (Kaveh)
- Support \a and \e in echo command. From (Keith Thompson)
- Alpha configure nit from Kaveh

- V6.08.05 - 19990511
- In some system, when a builtin fails immediately after we start
  tcsh and before we print any messages, NLS messages fail (some
  descriptor might be closed) [FreeBSD, HP/UX?]. So we force reading
  the NLS catalogs in errinit() (Yoshiyuki Sakakibara)
- typos in ja/set1 and ja/set29 (Yoshiyuki Sakakibara)
- "dspmbyte autoset trap" support to HP-UX 10.20. (Yoshiyuki Sakakibara)
- misnumbered NLS message in tw.help.c (Yoshiyuki Sakakibara)
- colorcat variable for NLS color messages (Yoshiyuki Sakakibara)
- autoconf fixes from Kaveh (and if it broke, me)
- SGI irix fixes from Glenn Coombs.
- Don't spin writing the history file when quota is exceeded (Rob McMahon)

- V6.08.04 - 19990419
- complete additions (John Gotts)
- Port to amiga with geek gadgets (Arto Huusko)
- Ignore case in setenv for windows (amol)
- Bug fixes for NT unc stuff (amol)
- Hash spell check (amol)

- V6.08.03 - 19990211
- Helpcommand documentation (Vladimir Alexiev)
- small Y2K fix [%y in prompt would be formatted as 10 not 00 at year 2000],
  and new Itoa() code (Chris Torek)
- OpenBSD m68k patches (Paul DuBois)
- Avoid redefinition of getpeername on Solaris-2.7
- fix problems with savedups=erase, savehist=merge (Randy Gobbel)
- Don't set $shell to csh, if we were invoked as tcsh (Tomas Persson)
- added $_
- added postcmd

- V6.08.02 - 19981124
- document continue and continue_args
- wrong test in slowexec made NT optimization a noop (Amol)
- Rhapsody fixes + separate CFLAGS/CPPFLAGS (Wilfredo Sanchez)
- literals in both prompt at rprompt did not work properly (Taga Nayuta)
- multibyte deletion fixes (Yoshiyuki.Sakakibara)
- clean up key binding stuff for NT by moving the nt dependent code to
  the NT source (amol)
- dspmbyte fixes for AIX, typos in man page and nls (Yoshiyuki Sakakibara)
- Convex fixes (Ron Echeverri)

- V6.08.01 - 19981025
- SX4 port; this adds many casts for machines where ptrdiff_t is 64 bits.
  (Andreas Schott)
- U/Win port; does not work properly with U/Win 1.6, wait for the next
  version (Chris Jones)
- Sgi does not need gethostname prototype (John Bogan)
- Logic in sh.dir.c was wrong for NT (Amol)
- HP_CXD_SPP stat64 fixes (Scott Garee)
- Documentation spelling fixes (Keith Thompson)
- Documentation fix for savedirs (Amol)
- Siemens OSD_POSIX fixes (Martin Kraemer)
- include <errno.h> for all the BSD's (Trevor Johnson)
- Multibyte display fixes for gnu ls (Taga Nayuta)
- Configure/Makefile hesiod and bindir fixes (Dan Winship)
- Use winnt not win32 in tc.os.h (Amol)
- Cygwin32 port (Raj Menon)
- Ported Fixes (Tom)

* Wed Mar 31 1999 Ryan Weaver <ryanw@infohwy.com>
  [tcsh-rhcn-6.08.00-1]
- Upgraded to version 6.08.00
- Fixed RPM build so that tcsh knows it's in /bin now.

